### Method

# Ggit IndexEntriesResolveUndo get_by_file

#### Declaration [src]

    GgitIndexEntryResolveUndo*
    ggit_index_entries_resolve_undo_get_by_file (
      GgitIndexEntriesResolveUndo* entries,
      GFile* file
    )

#### Description [src]

Get an resolve_undo entry specified by path. The returned entry is read only and should not be modified by the caller. If the entry could not be found, `NULL` is returned.

#### Parameters

`file`

  Type: `GFile`

  A `GFile`.

  The data is owned by the caller of the method.

#### Return value

Type: `GgitIndexEntryResolveUndo`

A `GgitIndexEntryResolveUndo` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.